JNA API 3.3.0

## com.sun.jna.platform
Class FileMonitor.FileEvent

    java.lang.Object
      java.util.EventObject
          com.sun.jna.platform.FileMonitor.FileEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  FileMonitor

    public class FileMonitor.FileEvent

extends EventObject

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FileMonitor.FileEvent(File file, int type)`

Method Summary
`File` | `getFile()`
`int` | `getType()`
`String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileMonitor.FileEvent

    public FileMonitor.FileEvent(File file,
                                 int type)

Method Detail

### getFile

    public File getFile()

### getType

    public int getType()

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.